<div [hidden]="!activator">

    <div class="page-capture">
        <div *ngIf="(this.isIphone) ; then thenY else elseN"></div>
        <ng-template #thenY></ng-template>
        <ng-template #elseN>
            <div style="visibility: visible;">
                <div class="native-capture-box box-shadow">
                    <!-- Subir foto? -->
                    <span>
                        <input #imgInput type="file" accept="image/*" capture="user" (change)="processFile(imgInput)" >
                        <button (click)="imgInput.click()" class="button-link">{{this.isMobileBool ? 'Try native camera' :  'Upload selfie'}}</button>
                    </span>
                </div>
            </div>
        </ng-template>
        <div class=" {{isEdge ? 'ui-canvas-container hiddenEdge':'ui-canvas-container'}}">
            <video class="{{this.isMobileBool ? 'ui-canvas' : isEdge ? 'ui-canvas scale-edge' : 'ui-canvas'}}" autoplay="" playsinline="" style="transform: scaleX(-1);"> </video>
            <div class="{{isEdge ? '':'overlay overlay-oval'}}"></div>
        </div>
        <canvas #canvas width="480" height="640" class="ui-canvas-container ui-canvas">
                <img #scream id="scream"  src="../../../../assets/icons/frame_overlay_far_green.png" alt="The Scream">
            </canvas>
        <footer>
            <br>
            <button class="btn blue" (click)="tomarSelfie()" [disabled]="!btnB">CAPTURE SELFIE</button>
            <p class="message-box box-shadow text-center">{{mensaje}}</p>
        </footer>
    </div>

</div>